Vision
Справочник APIПрофили

Редактирование профиля

Базовый URL

PATCH
https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}

Запрос

Заголовки запроса

Prop

Type

Параметры URL

Prop

Type

Тело запроса

Prop

Type


Prop

Type

Хотя бы одно из полей должно быть указано

Примеры запросов

const url =  "https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}"; const body = {  "profile_name": "Новое имя профиля",  "new_profile_tags": [    "Новый тег"  ]}const options = {  method: "PATCH",  headers: {    "X-Token": "Your Token",     "Content-Type": "application/json"  },   body: JSON.stringify(body)};fetch(url, options)  .then((response) => {    response.json().then((data) => {      console.log(data);    });  })  .catch((error) => {    console.error(error);  });
import requestsurl = 'https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}' body = {  "profile_name": "Новое имя профиля",  "new_profile_tags": [    "Новый тег"  ]}headers = {    'X-Token': 'Your Token',    'Content-Type': 'application/json'}response = requests.patch(url, headers=headers, json=body)print(response.json())
<?php$url = "https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}";$token = "Your Token"; $body = '{  "profile_name": "Новое имя профиля",  "new_profile_tags": [    "Новый тег"  ]}';$headers = array(  'X-Token: '.$token,  'Content-Type: application/json');$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PATCH");curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);curl_setopt($ch, CURLOPT_POSTFIELDS, $body);$data = curl_exec($ch);if (curl_errno($ch)) {    print "Error: " . curl_error($ch);} else {    var_dump($data);    curl_close($ch);}?>
// Requires tokio with features = ["macros", "rt-multi-thread"]// Requires reqwest with features = ["json"]// Requires serde_json#[tokio::main]async fn main() {    let url = "https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}";    let token = "Token";     let body = serde_json::json!(        {          "profile_name": "Новое имя профиля",          "new_profile_tags": [            "Новый тег"          ]        }	);    let client = reqwest::Client::new();    let response = client        .patch(url)        .header("X-Token", token)        .json(&body)        .send()        .await        .expect("Failed to send request")        .json::<serde_json::Value>()        .await        .expect("Failed to parse response");    dbg!(response);}
package mainimport (	"bytes"	"io"	"net/http")func main() {	url := "https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}"	token := "Your Token"    body := []byte(`        {          "profile_name": "Новое имя профиля",          "new_profile_tags": [            "Новый тег"          ]        }	`)	client := http.Client{}	req, err := http.NewRequest("PATCH", url, nil)	if err != nil {		panic(err)	}	req.Header.Add("X-Token", token)    req.Header.Add("Content-Type", "application/json")    req.Body = io.NopCloser(bytes.NewReader(body))	resp, err := client.Do(req)	if err != nil {		panic(err)	}	defer resp.Body.Close()	body, _ := io.ReadAll(resp.Body)	println(string(body))}
var url = "https://v1.empr.cloud/api/v1/folders/{folderId}/profiles/{profileId}";var token = "Your Token"; var body = """{  "profile_name": "Новое имя профиля",  "new_profile_tags": [    "Новый тег"  ]}"""var client = new HttpClient();client.DefaultRequestHeaders.Add("X-Token", token);client.DefaultRequestHeaders.Add("Content-Type", "application/json");var contentBody = new StringContent(body, Encoding.UTF8, "application/json");var response = await client.PatchAsync(url, contentBody);var content = await response.Content.ReadAsStringAsync();Console.WriteLine(content);

Ответ

Данные ответа

Prop

Type

Типы

Prop

Type

Prop

Type

Prop

Type

На этой странице